## kdenlive 0.8

=== CMakeLists.txt ===
project(kdenlive)

set(BASE_VERSION 0.8)
set(LIBMLT_REQUIRED_VERSION 0.7)

option(RELEASE_BUILD "Remove compilation date from program version (use for stable releases)" ON)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

# Search packages used by KDE.
find_package(KDE4 REQUIRED)
set(CMAKE_C_FLAGS " --std=c99") # To compile kiss_fft
include(KDE4Defaults)
include(MacroLibrary)
include(FindGettext)
include(MacroOptionalAddSubdirectory)
set(catalogname kdenlive)
find_package(Qt COMPONENTS QtOpenGL)
if ( NOT QT_QTOPENGL_FOUND )
  message(FATAL_ERROR "QtOpenGL (most likely called libqt4-opengl-dev) not found.")
else ( NOT QT_QTOPENGL_FOUND )
  message(-- " Found QtOpenGL.")
endif ( NOT QT_QTOPENGL_FOUND )
find_library(Qt COMPONENTS QtOpenGL REQUIRED)
add_definitions(${QT_DEFINITIONS})

# Search MLT package.
find_package(LIBMLT REQUIRED)
if(LIBMLT_VERSION VERSION_LESS ${LIBMLT_REQUIRED_VERSION})
  message(FATAL_ERROR "MLT must be at least version ${LIBMLT_REQUIRED_VERSION}, you have ${LIBMLT_VERSION}\nPlease install recent MLT http://www.mltframework.org")
endif(LIBMLT_VERSION VERSION_LESS ${LIBMLT_REQUIRED_VERSION})

find_package(MSGFMT REQUIRED)
find_program(EXTRACTRC_EXECUTABLE extractrc)
find_program(MSGFMT_EXECUTABLE msgfmt)
find_program(MSGMERGE_EXECUTABLE msgmerge)
find_program(XGETTEXT_EXECUTABLE xgettext)

# Get current version.
if(RELEASE_BUILD)
  set(VERSION "\"${BASE_VERSION}\"")
else(RELEASE_BUILD)
  if(EXISTS ${PROJECT_SOURCE_DIR}/.svn)
    # Probably a SVN workspace: determine the revision.
    find_package(Subversion)
    if(Subversion_FOUND)
      Subversion_WC_INFO(${PROJECT_SOURCE_DIR} KDENLIVE)
      message("Current revision is ${KDENLIVE_WC_REVISION}")
      set(VERSION "\"${BASE_VERSION} (rev. ${KDENLIVE_WC_REVISION})\"")
    else(Subversion_FOUND)
      message("Could not determine the SVN revision")
      set(VERSION "\"${BASE_VERSION}\"")
    endif(Subversion_FOUND)
  else(EXISTS ${PROJECT_SOURCE_DIR}/.svn)
    set(VERSION "\"${BASE_VERSION}\"")
  endif(EXISTS ${PROJECT_SOURCE_DIR}/.svn)
endif(RELEASE_BUILD)

add_subdirectory(src src/cmake_bindir)
add_subdirectory(renderer renderer/cmake_bindir)
add_subdirectory(thumbnailer thumbnailer/cmake_bindir)
add_subdirectory(plugins)
add_subdirectory(effects)
add_subdirectory(export)
add_subdirectory(icons)
add_subdirectory(data)
add_subdirectory(lumas)
add_subdirectory(titles)
add_subdirectory(po)
add_subdirectory(man)

configure_file(${CMAKE_SOURCE_DIR}/kdenlive-config.h.cmake kdenlive-config.h @ONLY)


message("-- C flags are now: " ${CMAKE_C_FLAGS})

=== effects/CMakeLists.txt ===
INSTALL (FILES 

audiowave.xml
automask.xml
boxblur.xml
brightness.xml
channelcopy.xml
charcoal.xml
chroma_hold.xml
chroma.xml
crop.xml
dust.xml
freeze.xml
gamma.xml
grain.xml
greyscale.xml
invert.xml
ladspa_declipper.xml
ladspa_equalizer.xml
ladspa_equalizer_15.xml
ladspa_limiter.xml
ladspa_phaser.xml
ladspa_pitch_scale.xml
ladspa_pitch.xml
ladspa_rate_scale.xml
ladspa_reverb.xml
ladspa_room_reverb.xml
ladspa_vinyl.xml
mirror.xml
mute.xml
normalise.xml
oldfilm.xml
pan_zoom.xml
obscure.xml
rotation.xml
rotation_keyframable.xml
scratchlines.xml
sepia.xml
sox_bass.xml
sox_gain.xml
sox_phaser.xml
sox_band.xml
sox_echo.xml
sox_flanger.xml
sox_stretch.xml
threshold.xml
volume.xml
wave.xml
fadein.xml
fadeout.xml
frei0r_alpha0ps.xml
frei0r_alphagrad.xml
frei0r_alphaspot.xml
frei0r_balanc0r.xml
frei0r_baltan.xml
frei0r_bezier_curves.xml
frei0r_brightness.xml
frei0r_cartoon.xml
frei0r_cluster.xml
frei0r_coloradj_rgb.xml
frei0r_colordistance.xml
frei0r_contrast0r.xml
frei0r_c0rners.xml
frei0r_curves.xml
frei0r_d90stairsteppingfix.xml
frei0r_defish0r.xml
frei0r_delay0r.xml
frei0r_delaygrab.xml
frei0r_distort0r.xml
frei0r_edgeglow.xml
frei0r_equaliz0r.xml
frei0r_flippo.xml
frei0r_glow.xml
frei0r_hqdn3d.xml
frei0r_hueshift0r.xml
frei0r_lenscorrection.xml
frei0r_letterb0xed.xml
frei0r_levels.xml
frei0r_lightgraffiti.xml
frei0r_luminance.xml
frei0r_mask0mate.xml
frei0r_nervous.xml
frei0r_nosync0r.xml
frei0r_pixeliz0r.xml
frei0r_pr0be.xml
frei0r_pr0file.xml
frei0r_primaries.xml
frei0r_rgbparade.xml
frei0r_saturat0r.xml
frei0r_scale0tilt.xml
frei0r_scanline0r.xml
frei0r_select0r.xml
frei0r_sharpness.xml
frei0r_sobel.xml
frei0r_sopsat.xml
frei0r_squareblur.xml
frei0r_tehroxx0r.xml
frei0r_three_point_balance.xml
frei0r_threelay0r.xml
frei0r_threshold0r.xml
frei0r_tint0r.xml
frei0r_twolay0r.xml
frei0r_vectorscope.xml
frei0r_vertigo.xml
frei0r_facebl0r.xml
frei0r_facedetect.xml
gain.xml
fade_from_black.xml
fade_to_black.xml
speed.xml
tcolor.xml
vignette.xml
swapchannels.xml
audiobalance.xml
audiopan.xml
rotoscoping.xml

DESTINATION ${DATA_INSTALL_DIR}/kdenlive/effects)

=== src/CMakeLists.txt ===
add_subdirectory(beziercurve)
add_subdirectory(colorcorrection)
add_subdirectory(kiss_fft)
add_subdirectory(mimetypes)
add_subdirectory(onmonitoritems)
add_subdirectory(rotoscoping)
add_subdirectory(widgets)

macro_optional_find_package(Nepomuk)
macro_optional_find_package(QJSON)
include(FindQImageBlitz)


include_directories(
  ${KDE4_INCLUDE_DIR}
  ${KDE4_INCLUDE_DIR}/KDE
  ${QT_INCLUDES}
  ${LIBMLT_INCLUDE_DIR}
  ${LIBMLTPLUS_INCLUDE_DIR}
  ${QDBUS_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/src/audioscopes
  ${CMAKE_SOURCE_DIR}/src/beziercurve
  ${CMAKE_SOURCE_DIR}/src/colorcorrection
  ${CMAKE_SOURCE_DIR}/src/kiss_fft
  ${CMAKE_SOURCE_DIR}/src/onmonitoritems
  ${CMAKE_SOURCE_DIR}/src/onmonitoritems/rotoscoping
  ${CMAKE_SOURCE_DIR}/src/widgets
)


if(Nepomuk_FOUND)
  include_directories(NEPOMUK_INCLUDES)
  set(optional_libs ${NEPOMUK_LIBRARIES})
  add_definitions(-DNEPOMUK)
endif(Nepomuk_FOUND)

if(QIMAGEBLITZ_FOUND)
  include_directories(QIMAGEBLITZ_INCLUDES)
  set(optional_libs ${optional_libs} ${QIMAGEBLITZ_LIBRARIES})
  add_definitions(-DQIMAGEBLITZ)
  message(STATUS "Found QImageBlitz: ${QIMAGEBLITZ_LIBRARIES}")
else(QIMAGEBLITZ_FOUND)
  message(STATUS "Install QImageBlitz devel package for improved stopmotion features")
endif(QIMAGEBLITZ_FOUND)

if(QJSON_FOUND)
  include_directories(QJSON_INCLUDE_DIR)
  set(optional_libs ${optional_libs} ${QJSON_LIBRARIES})
  add_definitions(-DQJSON)
else(QJSON_FOUND)
  message(STATUS "Install QJson to use the rotoscoping filter")
endif(QJSON_FOUND)

if(Q_WS_X11)
  include_directories(${X11_Xlib_INCLUDE_PATH})
endif(Q_WS_X11)

if(APPLE)
  find_package(OpenGL)
  set(QT_USE_QTOPENGL TRUE)
else(APPLE)
  macro_optional_find_package(OpenGL)
endif(APPLE)


link_libraries(
  ${LIBMLT_LIBRARY}
  ${LIBMLTPLUS_LIBRARY}
  ${optional_libs}
)

kde4_add_ui_files(kdenlive_UI
  widgets/timeline_ui.ui
  widgets/recmonitor_ui.ui
  widgets/colorclip_ui.ui
  widgets/slideshowclip_ui.ui
  widgets/configmisc_ui.ui
  widgets/configenv_ui.ui
  widgets/configtimeline_ui.ui
  widgets/configsdl_ui.ui
  widgets/configcapture_ui.ui
  widgets/configtranscode_ui.ui
  widgets/configproject_ui.ui
  widgets/effectlist_ui.ui
  widgets/effectstack_ui.ui
  widgets/profiledialog_ui.ui
  widgets/projectsettings_ui.ui
  widgets/keyframewidget_ui.ui
  widgets/listval_ui.ui
  widgets/wipeval_ui.ui
  widgets/boolval_ui.ui
  widgets/titlewidget_ui.ui
  widgets/unicodedialog_ui.ui
  widgets/timelinebuttons_ui.ui
  widgets/renderwidget_ui.ui
  widgets/saveprofile_ui.ui
  widgets/transitionsettings_ui.ui
  widgets/configjogshuttle_ui.ui
  widgets/trackheader_ui.ui
  widgets/clipproperties_ui.ui
  widgets/markerdialog_ui.ui
  widgets/keyframedialog_ui.ui
  widgets/clipdurationdialog_ui.ui
  widgets/managecaptures_ui.ui
  widgets/geometryval_ui.ui
  widgets/wizardstandard_ui.ui
  widgets/wizardextra_ui.ui
  widgets/wizardcapture_ui.ui
  widgets/wizardcheck_ui.ui
  widgets/wizardmltcheck_ui.ui
  widgets/spacerdialog_ui.ui
  widgets/addtrack_ui.ui
  widgets/dvdwizardvob_ui.ui
  widgets/dvdwizardmenu_ui.ui
  widgets/dvdwizardstatus_ui.ui
  widgets/dvdwizardchapters_ui.ui
  widgets/missingclips_ui.ui
  widgets/cliptranscode_ui.ui
  widgets/templateclip_ui.ui
  widgets/keyframeeditor_ui.ui
  widgets/tracksconfigdialog_ui.ui
  widgets/urlval_ui.ui
  widgets/vectorscope_ui.ui
  widgets/colorplaneexport_ui.ui
  widgets/waveform_ui.ui
  widgets/rgbparade_ui.ui
  widgets/histogram_ui.ui
  widgets/geometrywidget_ui.ui
  widgets/stopmotion_ui.ui
  widgets/audiospectrum_ui.ui
  widgets/spectrogram_ui.ui
  widgets/smconfig_ui.ui
  widgets/bezierspline_ui.ui
  widgets/monitoreditwidget_ui.ui
)

set(kdenlive_SRCS
  ${kdenlive_SRCS}
  addclipcommand.cpp
  main.cpp
  mainwindow.cpp
  customruler.cpp
  smallruler.cpp
  projectlist.cpp
  projectitem.cpp
  monitor.cpp
  gentime.cpp
  renderer.cpp
  kdenlivedoc.cpp
  projectlistview.cpp
  trackview.cpp
  docclipbase.cpp
  timecode.cpp
  monitormanager.cpp
  headertrack.cpp
  customtrackview.cpp
  clipitem.cpp
  moveclipcommand.cpp
  resizeclipcommand.cpp
  razorclipcommand.cpp
  addtimelineclipcommand.cpp
  addmarkercommand.cpp
  kthumb.cpp
  clipmanager.cpp
  effectslist.cpp
  initeffects.cpp
  effectslistview.cpp
  addeffectcommand.cpp
  editeffectcommand.cpp
  moveeffectcommand.cpp
  effectstackview.cpp
  effectstackedit.cpp
  parameterplotter.cpp
  profilesdialog.cpp
  projectsettings.cpp
  kdenlivesettingsdialog.cpp
  complexparameter.cpp
  titlewidget.cpp
  unicodedialog.cpp
  graphicsscenerectmove.cpp
  effectslistwidget.cpp
  titledocument.cpp
  transition.cpp
  renderwidget.cpp
  abstractclipitem.cpp
  transitionsettings.cpp
  recmonitor.cpp
  addtransitioncommand.cpp
  edittransitioncommand.cpp
  addfoldercommand.cpp
  editfoldercommand.cpp
  clipproperties.cpp
  movetransitioncommand.cpp
  slideshowclip.cpp
  markerdialog.cpp
  guide.cpp
  editguidecommand.cpp
  statusbarmessagelabel.cpp
  editkeyframecommand.cpp
  clipdurationdialog.cpp
  managecapturesdialog.cpp
  changespeedcommand.cpp
  geometryval.cpp
  wizard.cpp
  customtrackscene.cpp
  abstractgroupitem.cpp
  keyframehelper.cpp
  editclipcommand.cpp
  insertspacecommand.cpp
  spacerdialog.cpp
  addtrackcommand.cpp
  movegroupcommand.cpp
  dvdwizardvob.cpp
  dvdwizardmenu.cpp
  dvdwizard.cpp
  locktrackcommand.cpp
  groupclipscommand.cpp
  splitaudiocommand.cpp
  changecliptypecommand.cpp
  documentchecker.cpp
  dvdwizardchapters.cpp
  documentvalidator.cpp
  cliptranscode.cpp
  keyframeedit.cpp
  positionedit.cpp
  trackdialog.cpp
  subprojectitem.cpp
  folderprojectitem.cpp
  addclipcutcommand.cpp
  editclipcutcommand.cpp
  KoSliderCombo.cpp
  kis_cubic_curve.cpp
  kis_curve_widget.cpp
  timecodedisplay.cpp
  tracksconfigdialog.cpp
  configtrackscommand.cpp
  abstractscopewidget.cpp
  audioscopes/abstractaudioscopewidget.cpp
  audioscopes/audiospectrum.cpp
  audioscopes/spectrogram.cpp
  audioscopes/ffttools.cpp
  rebuildgroupcommand.cpp
  colorscopes/abstractgfxscopewidget.cpp
  colorscopes/histogram.cpp
  colorscopes/rgbparade.cpp
  colorscopes/vectorscope.cpp
  colorscopes/waveform.cpp
  colorplaneexport.cpp
  colortools.cpp
  colorcorrection/histogramgenerator.cpp
  colorcorrection/rgbparadegenerator.cpp
  colorcorrection/vectorscopegenerator.cpp
  colorcorrection/waveformgenerator.cpp
  razorgroupcommand.cpp
  colorpickerwidget.cpp
  choosecolorwidget.cpp
  monitorscene.cpp
  geometrywidget.cpp
  doubleparameterwidget.cpp
  audiosignal.cpp
  blackmagic/include/DeckLinkAPIDispatch.cpp
  stopmotion/stopmotion.cpp
  stopmotion/capturehandler.cpp
  blackmagic/capture.cpp
  blackmagic/devices.cpp
  onmonitoritems/onmonitorrectitem.cpp
  onmonitoritems/onmonitorcornersitem.cpp
  cornerswidget.cpp
  kiss_fft/_kiss_fft_guts.h
  kiss_fft/kiss_fft.c
  kiss_fft/tools/kiss_fftr.c
  beziercurve/beziersplineeditor.cpp
  beziercurve/beziersplinewidget.cpp
  beziercurve/bpoint.cpp
  beziercurve/cubicbezierspline.cpp
  dragvalue.cpp
  monitoreditwidget.cpp
  simplekeyframes/simpletimelinewidget.cpp
  simplekeyframes/simplekeyframewidget.cpp
)

add_definitions(${KDE4_DEFINITIONS})

if(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR CMAKE_SYSTEM_NAME STREQUAL "NetBSD" OR NO_JOGSHUTTLE)
  add_definitions(-DNO_JOGSHUTTLE)
else(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR CMAKE_SYSTEM_NAME STREQUAL "NetBSD" OR NO_JOGSHUTTLE)
  set(kdenlive_SRCS jogshuttle.cpp jogaction.cpp jogshuttleconfig.cpp ${kdenlive_SRCS})
endif(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR CMAKE_SYSTEM_NAME STREQUAL "NetBSD" OR NO_JOGSHUTTLE)

if(APPLE OR OPENGL_FOUND)
  add_definitions(-DUSE_OPEN_GL)
  set(kdenlive_SRCS videoglwidget.cpp ${kdenlive_SRCS})
endif(APPLE OR OPENGL_FOUND)

if(NOT APPLE AND NOT CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
  set(kdenlive_SRCS
    ${kdenlive_SRCS}
    v4l/v4lcapture.cpp
    v4l/src.c
    v4l/src_v4l2.c
    v4l/dec_bayer.c
    v4l/dec_grey.c
    v4l/dec_jpeg.c
    v4l/dec_rgb.c
    v4l/dec_s561.c
    v4l/dec_yuv.c
  )
endif(NOT APPLE AND NOT CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")

if(QJSON_FOUND)
  set(kdenlive_SRCS
    ${kdenlive_SRCS}
    onmonitoritems/rotoscoping/bpointitem.cpp
    onmonitoritems/rotoscoping/nearestpoint.cpp
    onmonitoritems/rotoscoping/splineitem.cpp
    rotoscoping/rotowidget.cpp
  )
endif(QJSON_FOUND)

# Add libdl
find_library(DL_LIB NAMES ${CMAKE_DL_LIBS})
message(STATUS "using dl library: ${DL_LIB}")

kde4_add_kcfg_files(kdenlive_SRCS kdenlivesettings.kcfgc)
qt4_add_dbus_adaptor(kdenlive_SRCS org.kdenlive.MainWindow.xml mainwindow.h MainWindow)
kde4_add_executable(kdenlive ${kdenlive_SRCS} ${kdenlive_UI})

if(${KDE_VERSION} VERSION_LESS 4.3.80)
  set(KNEWSTUFF_LIBS ${KDE4_KNEWSTUFF2_LIBS})
else(${KDE_VERSION} VERSION_LESS 4.3.80)
  set(KNEWSTUFF_LIBS ${KDE4_KNEWSTUFF3_LIBS})
endif(${KDE_VERSION} VERSION_LESS 4.3.80)

target_link_libraries(kdenlive
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${KNEWSTUFF_LIBS}
  ${LIBMLTPLUS_LIBRARY}
  ${LIBMLT_LIBRARY}
  ${optional_libs}
  ${KDE4_KNOTIFYCONFIG_LIBRARY}
  ${KDE4_KROSSUI_LIBS}
  ${CMAKE_DL_LIBS}
  ${CMAKE_THREAD_LIBS_INIT}
)

if(Q_WS_X11)
  target_link_libraries(kdenlive ${X11_LIBRARIES})
endif(Q_WS_X11)

if(APPLE)
  find_package(SDL REQUIRED)
  target_link_libraries(kdenlive ${SDL_LIBRARY})
  target_link_libraries(kdenlive ${QT_QTOPENGL_LIBRARY})
  target_link_libraries(kdenlive ${OPENGL_LIBRARIES})
else(APPLE)
  add_definitions(-DHAVE_V4L2)
  if(OPENGL_FOUND)
    target_link_libraries(kdenlive ${QT_QTOPENGL_LIBRARY})
    target_link_libraries(kdenlive ${OPENGL_LIBRARIES})
  endif(OPENGL_FOUND)
endif(APPLE)

install(TARGETS kdenlive DESTINATION ${BIN_INSTALL_DIR})
install(FILES kdenliveui.rc kdenlive.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kdenlive)
install(FILES kdenlivesettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES kdenlive.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
kde4_install_icons(${ICON_INSTALL_DIR})
install(FILES kdenlive_titles.knsrc kdenlive_wipes.knsrc kdenlive_renderprofiles.knsrc kdenlive_projectprofiles.knsrc kdenlivetranscodingrc DESTINATION ${CONFIG_INSTALL_DIR})
kde4_install_icons(${ICON_INSTALL_DIR})

=== debian/changelog ===
kdenlive (0.8-4build1) oneiric; urgency=low

  * No change rebuild for mlt transition

 -- Scott Kitterman <scott@kitterman.com>  Sun, 21 Aug 2011 00:14:09 -0400

kdenlive (0.8-4) unstable; urgency=low

  * Allow build on kFreeBSD by adding option NO_JOGSHUTTLE.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 29 May 2011 10:33:27 +0200

kdenlive (0.8-3) unstable; urgency=low

  * Bump mlt build dependencies to >= 0.7.
    Closes: #626275

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 14 May 2011 14:06:27 +0200

kdenlive (0.8-2) unstable; urgency=low

  * Build with hardening-wrapper.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 16:20:50 +0200

kdenlive (0.8-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Fix lintian warning description-synopsis-starts-with-article.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 27 Apr 2011 21:33:17 +0200

kdenlive (0.7.8+svn5529-1) unstable; urgency=low

  * New upstream svn snapshot.
    - Importing RAW DV files should be fixed.
      Closes: #615606
    - Add new build dependency libqt4-opengl-dev and libqjson-dev.
  * Rebuild against mlt 0.7.0.
    Closes: #620340
  * Wrap build dependencies.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 01 Apr 2011 21:05:53 +0200

kdenlive (0.7.8-3) unstable; urgency=low

  * Rebuild against mlt 0.6.2.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 20 Feb 2011 11:27:36 +0100

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

NCPUS := $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)

ifeq ($(NCPUS),-1)
	NCPUS:=1
endif

ifeq ($(NCPUS),0)
	NCPUS:=1
endif

EXTRAFLAGS :=
ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
	EXTRAFLAGS := -DNO_JOGSHUTTLE=YES
endif

CMAKE_SYSTEM_PROCESSOR = $(shell dpkg-architecture -qDEB_BUILD_ARCH)

configure: configure-stamp
configure-stamp:
	dh_testdir
	[ -d build ] || mkdir build
	cd build && cmake .. \
		-DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_SKIP_RPATH:BOOL=YES $(EXTRAFLAGS)
	touch $@

build: build-stamp
build-stamp: configure
	dh_testdir
	cd build && $(MAKE) -j $(NCPUS)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf build
	rm -rf $(CURDIR)/debian/tmp
	rm -f $(CURDIR)/kdenlive.menu
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	cd build && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	cp $(CURDIR)/data/kdenlive.menu $(CURDIR)/debian/
	dh_install --list-missing

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installdirs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installmenu -a
	dh_strip -a --dbg-package=kdenlive-dbg
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@uscan --force-download --destdir ../tarballs

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## kdenlive 0.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,26 +1,28 @@
 project(kdenlive)
 
-set(BASE_VERSION 0.8)
-set(LIBMLT_REQUIRED_VERSION 0.7)
+set(BASE_VERSION 0.8.2)
+set(LIBMLT_REQUIRED_VERSION 0.7.6)
 
 option(RELEASE_BUILD "Remove compilation date from program version (use for stable releases)" ON)
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
 
 # Search packages used by KDE.
 find_package(KDE4 REQUIRED)
-set(CMAKE_C_FLAGS " --std=c99") # To compile kiss_fft
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --std=c99") # To compile kiss_fft
 include(KDE4Defaults)
 include(MacroLibrary)
 include(FindGettext)
 include(MacroOptionalAddSubdirectory)
 set(catalogname kdenlive)
-find_package(Qt COMPONENTS QtOpenGL)
+
+find_package(Qt4 COMPONENTS QtCore QtGui QtOpenGL QtScript REQUIRED)
 if ( NOT QT_QTOPENGL_FOUND )
   message(FATAL_ERROR "QtOpenGL (most likely called libqt4-opengl-dev) not found.")
 else ( NOT QT_QTOPENGL_FOUND )
   message(-- " Found QtOpenGL.")
 endif ( NOT QT_QTOPENGL_FOUND )
-find_library(Qt COMPONENTS QtOpenGL REQUIRED)
+find_library(Qt COMPONENTS QtOpenGL QtScript REQUIRED)
+
 add_definitions(${QT_DEFINITIONS})
 
 # Search MLT package.
@@ -67,6 +69,7 @@
 add_subdirectory(titles)
 add_subdirectory(po)
 add_subdirectory(man)
+add_subdirectory(doc)
 
 configure_file(${CMAKE_SOURCE_DIR}/kdenlive-config.h.cmake kdenlive-config.h @ONLY)

=== debian/changelog ===
kdenlive (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * Remove broken symlinks from documentation.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 03 Nov 2011 11:17:39 +0100

kdenlive (0.8+svn5945-1) unstable; urgency=low

  * New upstream svn snapshot.
    - Fixed MLT 0.7.4 incompatibility.
      Closes: #636933
    - Also install new documentations.
  * Add missing makefile targets build-arch and build-indep.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 06 Oct 2011 13:36:21 +0200

## kdenlive 0.8.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(kdenlive)
 
-set(BASE_VERSION 0.8.2)
+set(BASE_VERSION 0.8.2.1)
 set(LIBMLT_REQUIRED_VERSION 0.7.6)
 
 option(RELEASE_BUILD "Remove compilation date from program version (use for stable releases)" ON)

=== data/CMakeLists.txt ===
install(FILES banner.png timeline_nothumbs.png timeline_athumbs.png timeline_vthumbs.png timeline_avthumbs.png metadata.properties blacklisted_effects.txt blacklisted_transitions.txt encodingprofiles.rc DESTINATION ${DATA_INSTALL_DIR}/kdenlive )
install( FILES kdenliveeffectscategory.rc DESTINATION  ${CONFIG_INSTALL_DIR} )
install (FILES kdenlive.xpm DESTINATION share/pixmaps)
install (FILES kdenlive.menu DESTINATION share/menu RENAME kdenlive)

=== doc/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kdenlive)

ADD_SUBDIRECTORY(da)
ADD_SUBDIRECTORY(fr)
ADD_SUBDIRECTORY(uk)
ADD_SUBDIRECTORY(nl)

=== effects/CMakeLists.txt ===
--- 
+++ 
@@ -15,17 +15,6 @@
 grain.xml
 greyscale.xml
 invert.xml
-ladspa_declipper.xml
-ladspa_equalizer.xml
-ladspa_equalizer_15.xml
-ladspa_limiter.xml
-ladspa_phaser.xml
-ladspa_pitch_scale.xml
-ladspa_pitch.xml
-ladspa_rate_scale.xml
-ladspa_reverb.xml
-ladspa_room_reverb.xml
-ladspa_vinyl.xml
 mirror.xml
 mute.xml
 normalise.xml
@@ -102,6 +91,7 @@
 frei0r_twolay0r.xml
 frei0r_vectorscope.xml
 frei0r_vertigo.xml
+frei0r_vignette.xml
 frei0r_facebl0r.xml
 frei0r_facedetect.xml
 gain.xml
@@ -116,3 +106,5 @@
 rotoscoping.xml
 
 DESTINATION ${DATA_INSTALL_DIR}/kdenlive/effects)
+
+add_subdirectory(update)

=== po/CMakeLists.txt ===
SUBDIRS(ca cs da de el es fi fr gl he hr hu it nl pl pt pt_BR ru sl tr uk zh zh_CN zh_TW)

=== renderer/CMakeLists.txt ===


include_directories (
    ${QDBUS_INCLUDE_DIRS}
    ${KDE4_INCLUDES}
    ${CMAKE_SOURCE_DIR} 
    ${CMAKE_BINARY_DIR} 
)

LINK_LIBRARIES(
${LIBMLT_LIBRARY}
${LIBMLTPLUS_LIBRARY}
${optional_libs}
)

set(kdenlive_render_SRCS 
  kdenlive_render.cpp
  renderjob.cpp
)

kde4_add_executable(kdenlive_render ${kdenlive_render_SRCS})

target_link_libraries(kdenlive_render 
  ${QT_QTCORE_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
)

install(TARGETS kdenlive_render DESTINATION ${BIN_INSTALL_DIR})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,11 +5,10 @@
 add_subdirectory(onmonitoritems)
 add_subdirectory(rotoscoping)
 add_subdirectory(widgets)
+add_subdirectory(databackup)
 
 macro_optional_find_package(Nepomuk)
 macro_optional_find_package(QJSON)
-include(FindQImageBlitz)
-
 
 include_directories(
   ${KDE4_INCLUDE_DIR}
@@ -35,15 +34,6 @@
   set(optional_libs ${NEPOMUK_LIBRARIES})
   add_definitions(-DNEPOMUK)
 endif(Nepomuk_FOUND)
-
-if(QIMAGEBLITZ_FOUND)
-  include_directories(QIMAGEBLITZ_INCLUDES)
-  set(optional_libs ${optional_libs} ${QIMAGEBLITZ_LIBRARIES})
-  add_definitions(-DQIMAGEBLITZ)
-  message(STATUS "Found QImageBlitz: ${QIMAGEBLITZ_LIBRARIES}")
-else(QIMAGEBLITZ_FOUND)
-  message(STATUS "Install QImageBlitz devel package for improved stopmotion features")
-endif(QIMAGEBLITZ_FOUND)
 
 if(QJSON_FOUND)
   include_directories(QJSON_INCLUDE_DIR)
@@ -134,6 +124,9 @@
   widgets/smconfig_ui.ui
   widgets/bezierspline_ui.ui
   widgets/monitoreditwidget_ui.ui
+  widgets/archivewidget_ui.ui
+  widgets/manageencodingprofile_ui.ui
+  widgets/backupdialog_ui.ui
 )
 
 set(kdenlive_SRCS
@@ -262,8 +255,6 @@
   audiosignal.cpp
   blackmagic/include/DeckLinkAPIDispatch.cpp
   stopmotion/stopmotion.cpp
-  stopmotion/capturehandler.cpp
-  blackmagic/capture.cpp
   blackmagic/devices.cpp
   onmonitoritems/onmonitorrectitem.cpp
   onmonitoritems/onmonitorcornersitem.cpp
@@ -279,35 +270,37 @@
   monitoreditwidget.cpp
   simplekeyframes/simpletimelinewidget.cpp
   simplekeyframes/simplekeyframewidget.cpp
+  noteswidget.cpp
+  archivewidget.cpp
+  mltdevicecapture.cpp
+  abstractmonitor.cpp
+  encodingprofilesdialog.cpp
 )
 
 add_definitions(${KDE4_DEFINITIONS})
 
-if(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR CMAKE_SYSTEM_NAME STREQUAL "NetBSD" OR NO_JOGSHUTTLE)
+if(CMAKE_SYSTEM_NAME STREQUAL "GNU/kFreeBSD")
+  add_definitions(-DQ_OS_KFREEBSD)
+endif(CMAKE_SYSTEM_NAME STREQUAL "GNU/kFreeBSD")
+
+if(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR CMAKE_SYSTEM_NAME STREQUAL "NetBSD" OR CMAKE_SYSTEM_NAME STREQUAL "GNU/kFreeBSD" OR NO_JOGSHUTTLE)
   add_definitions(-DNO_JOGSHUTTLE)
-else(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR CMAKE_SYSTEM_NAME STREQUAL "NetBSD" OR NO_JOGSHUTTLE)
+else(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR CMAKE_SYSTEM_NAME STREQUAL "NetBSD" OR CMAKE_SYSTEM_NAME STREQUAL "GNU/kFreeBSD" OR NO_JOGSHUTTLE)
   set(kdenlive_SRCS jogshuttle.cpp jogaction.cpp jogshuttleconfig.cpp ${kdenlive_SRCS})
-endif(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR CMAKE_SYSTEM_NAME STREQUAL "NetBSD" OR NO_JOGSHUTTLE)
+endif(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR CMAKE_SYSTEM_NAME STREQUAL "NetBSD" OR CMAKE_SYSTEM_NAME STREQUAL "GNU/kFreeBSD" OR NO_JOGSHUTTLE)
 
 if(APPLE OR OPENGL_FOUND)
   add_definitions(-DUSE_OPEN_GL)
   set(kdenlive_SRCS videoglwidget.cpp ${kdenlive_SRCS})
 endif(APPLE OR OPENGL_FOUND)
 
-if(NOT APPLE AND NOT CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
+if(NOT APPLE AND NOT CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" AND NOT CMAKE_SYSTEM_NAME STREQUAL "GNU/kFreeBSD")
   set(kdenlive_SRCS
     ${kdenlive_SRCS}
     v4l/v4lcapture.cpp
     v4l/src.c
-    v4l/src_v4l2.c
-    v4l/dec_bayer.c
-    v4l/dec_grey.c
-    v4l/dec_jpeg.c
-    v4l/dec_rgb.c
-    v4l/dec_s561.c
-    v4l/dec_yuv.c
   )
-endif(NOT APPLE AND NOT CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
+endif(NOT APPLE AND NOT CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" AND NOT CMAKE_SYSTEM_NAME STREQUAL "GNU/kFreeBSD")
 
 if(QJSON_FOUND)
   set(kdenlive_SRCS
@@ -325,6 +318,7 @@
 
 kde4_add_kcfg_files(kdenlive_SRCS kdenlivesettings.kcfgc)
 qt4_add_dbus_adaptor(kdenlive_SRCS org.kdenlive.MainWindow.xml mainwindow.h MainWindow)
+qt4_add_resources(kdenlive_SRCS widgets/resources.qrc)
 kde4_add_executable(kdenlive ${kdenlive_SRCS} ${kdenlive_UI})
 
 if(${KDE_VERSION} VERSION_LESS 4.3.80)
@@ -344,6 +338,7 @@
   ${KDE4_KROSSUI_LIBS}
   ${CMAKE_DL_LIBS}
   ${CMAKE_THREAD_LIBS_INIT}
+  ${QT_QTSCRIPT_LIBRARY}
 )
 
 if(Q_WS_X11)
@@ -369,4 +364,3 @@
 install(FILES kdenlive.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 kde4_install_icons(${ICON_INSTALL_DIR})
 install(FILES kdenlive_titles.knsrc kdenlive_wipes.knsrc kdenlive_renderprofiles.knsrc kdenlive_projectprofiles.knsrc kdenlivetranscodingrc DESTINATION ${CONFIG_INSTALL_DIR})
-kde4_install_icons(${ICON_INSTALL_DIR})

=== thumbnailer/CMakeLists.txt ===


########### next target ###############
include_directories (
    ${KDE4_INCLUDES}
    ${LIBMLT_INCLUDE_DIR}
    ${LIBMLTPLUS_INCLUDE_DIR}
    ${CMAKE_SOURCE_DIR} 
    ${CMAKE_BINARY_DIR} 
)

LINK_LIBRARIES(
    ${LIBMLT_LIBRARY}
    ${LIBMLTPLUS_LIBRARY}
)

set(westleypreview_PART_SRCS westleypreview.cpp)

kde4_add_plugin(westleypreview ${westleypreview_PART_SRCS})

target_link_libraries(westleypreview ${KDE4_KIO_LIBS} ${LIBMLTPLUS_LIBRARY} ${LIBMLT_LIBRARY})

install(TARGETS westleypreview DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install(FILES westleypreview.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== doc/da/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/da SUBDIR kdenlive)

=== doc/fr/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/fr SUBDIR kdenlive)

=== effects/update/CMakeLists.txt ===
INSTALL(FILES

frei0r.balanc0r.js
frei0r.cartoon.js
frei0r.curves.js
frei0r.levels.js
frei0r.lightgraffiti.js
frei0r.sopsat.js
frei0r.vertigo.js
DESTINATION ${DATA_INSTALL_DIR}/kdenlive/effects/update)

=== po/ca/CMakeLists.txt ===
GETTEXT_PROCESS_PO_FILES(ca ALL INSTALL_DESTINATION share/locale/ kdenlive.po)

=== debian/changelog ===
kdenlive (0.8.2.1-1ubuntu1) precise; urgency=low

  * Add glu_include.patch to fix FTBFS with Qt 4.8.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 08 Feb 2012 15:22:04 +0100

kdenlive (0.8.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 11 Dec 2011 17:51:45 +0100

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: http://www.kdenlive.org/
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7),
 pkg-config,
 cmake,
 kdelibs5-dev,
 libmlt-dev (>= 0.7),
 libmlt++-dev (>= 0.7),
 libavcodec-dev,
 libavformat-dev,
 libavdevice-dev,
 libavutil-dev,
 libqt4-dev,
 shared-desktop-ontologies,
 libx11-dev,
 libqt4-opengl-dev,
 libqjson-dev,
 hardening-wrapper

Package: kdenlive
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 kdenlive-data (= ${source:Version}),
 melt, ffmpeg
Recommends: swh-plugins, dvgrab, frei0r-plugins, recordmydesktop, dvdauthor, genisoimage
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDC and much
 more formats.
 It main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * Firewire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: kdenlive (<= 0.7.2.1)
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDC and much
 more formats.
 It main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * Firewire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

Package: kdenlive-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdenlive (= ${binary:Version})
Description: non-linear video editor (debugging symbols)
 Kdenlive is a non-linear video editing suite, which supports DV, HDC and much
 more formats.
 It main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * Firewire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the debugging symbols for kdenlive.

=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,10 @@
 	cd build && $(MAKE) -j $(NCPUS)
 	touch $@
 
+build-arch: build
+
+build-indep: build
+
 clean:
 	dh_testdir
 	dh_testroot
@@ -51,6 +55,7 @@
 	dh_testroot
 	dh_prep
 	cd build && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+	rm -f $(CURDIR)/debian/tmp/usr/share/doc/kde/HTML/*/kdenlive/common
 	cp $(CURDIR)/data/kdenlive.menu $(CURDIR)/debian/
 	dh_install --list-missing

=== debian/watch ===
version=3
opts=dversionmangle=s/\+svn\d+// \
	http://sf.net/kdenlive/kdenlive-([\d.]*).tar.gz

## kdenlive 0.9.2

=== debian/changelog ===
kdenlive (0.9.2-2ubuntu1) quantal; urgency=low

  *  For whatever reason, cmake has never been able to find GLES
     and consider it good enough for a GL requirement; since we
     build-dep on what we need anyway, just make GL optional.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 30 Jun 2012 13:09:19 -0600

kdenlive (0.9.2-2) unstable; urgency=low

  * Correct debian/watch file, the releases are now bzip2 compressed.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 02 Jun 2012 18:43:09 +0200

kdenlive (0.9.2-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 01 Jun 2012 18:32:50 +0200

kdenlive (0.9-1) unstable; urgency=low

  * New upstream release.
    - Enable localizations.
  * Adjust debian/watch to the new download location.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 15 May 2012 11:45:58 +0200

kdenlive (0.8.2.1+git20120513-1) unstable; urgency=low

  * New upstream git snapshot.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 13 May 2012 12:54:06 +0200

kdenlive (0.8.2.1+git20120422-1) unstable; urgency=low

  * New upstream git snapshot.
  * Bump build dependency on mlt back to 0.7.8.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 22 Apr 2012 12:51:42 +0200

kdenlive (0.8.2.1+git20120409-1) unstable; urgency=low

  * New upstream git snapshot.
  * Bump build dependency on mlt to 0.7.8+git20120409.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 09 Apr 2012 19:20:01 +0200

kdenlive (0.8.2.1+git20120406-1) unstable; urgency=low

  * New upstream git snapshot.
    - Remove merged patch 01-glu-include.
    - Localizations are not available in git snapshots.
  * Wrap all debian/control lines.
  * Remove obsolete README.Debian.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 06 Apr 2012 22:07:02 +0200

kdenlive (0.8.2.1-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Add patch 01-glu-include from Felix Geyer to build with Qt 4.8.
    Closes: #662769

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 06 Mar 2012 23:27:59 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Homepage: http://www.kdenlive.org/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 7),
  pkg-config,
  cmake,
  kdelibs5-dev,
- libmlt-dev (>= 0.7),
- libmlt++-dev (>= 0.7),
+ libmlt-dev (>= 0.7.8),
+ libmlt++-dev (>= 0.7.8),
  libavcodec-dev,
  libavformat-dev,
  libavdevice-dev,
@@ -24,10 +24,17 @@
 
 Package: kdenlive
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
  kdenlive-data (= ${source:Version}),
- melt, ffmpeg
-Recommends: swh-plugins, dvgrab, frei0r-plugins, recordmydesktop, dvdauthor, genisoimage
+ melt,
+ ffmpeg
+Recommends: swh-plugins,
+ dvgrab,
+ frei0r-plugins,
+ recordmydesktop,
+ dvdauthor,
+ genisoimage
 Description: non-linear video editor
  Kdenlive is a non-linear video editing suite, which supports DV, HDC and much
  more formats.
@@ -61,7 +68,8 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, kdenlive (= ${binary:Version})
+Depends: ${misc:Depends},
+ kdenlive (= ${binary:Version})
 Description: non-linear video editor (debugging symbols)
  Kdenlive is a non-linear video editing suite, which supports DV, HDC and much
  more formats.

## kdenlive 0.9.4

=== debian/changelog ===
kdenlive (0.9.4-1ubuntu1) raring; urgency=low

  * merge with debian, remaining change:
   - add opengl_optional.patch to make opengl optional, for ARM

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 07 Feb 2013 11:17:59 +0000

kdenlive (0.9.4-1) experimental; urgency=low

  * New upstream release.
  * Build against mlt version 0.8.8.
  * Migrate package to minimal debhelper rules.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 29 Jan 2013 09:30:26 +0100

kdenlive (0.9.2-4) experimental; urgency=low

  * Again some fixes for the long description. Thanks to Filipus Klutiero.
    Closes: #693180

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 12 Dec 2012 11:07:55 +0100

kdenlive (0.9.2-3) experimental; urgency=low

  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to xz compression and add a Pre-Depends on dpkg.
  * Fix long description. Thanks to Filipus Klutiero.
    Closes: #689995

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 12 Nov 2012 19:50:32 +0100

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: http://www.kdenlive.org/
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9),
 pkg-config,
 cmake,
 kdelibs5-dev,
 libmlt-dev (>= 0.8.8),
 libmlt++-dev (>= 0.8.8),
 libavcodec-dev,
 libavformat-dev,
 libavdevice-dev,
 libavutil-dev,
 libqt4-dev,
 shared-desktop-ontologies,
 libx11-dev,
 libqt4-opengl-dev,
 libqjson-dev,
 hardening-wrapper

Package: kdenlive
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends},
 ${misc:Depends},
 kdenlive-data (= ${source:Version}),
 melt,
 ffmpeg
Recommends: swh-plugins,
 dvgrab,
 frei0r-plugins,
 recordmydesktop,
 dvdauthor,
 genisoimage
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: kdenlive (<= 0.7.2.1)
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

Package: kdenlive-dbg
Section: debug
Architecture: any
Priority: extra
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends},
 kdenlive (= ${binary:Version})
Description: non-linear video editor (debugging symbols)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the debugging symbols for kdenlive.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1

EXTRAFLAGS :=
ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
	EXTRAFLAGS := -DNO_JOGSHUTTLE=YES
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRAFLAGS)

override_dh_auto_clean:
	rm -f $(CURDIR)/debian/kdenlive.menu
	dh_auto_clean

override_dh_install:
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/kde/HTML/*/kdenlive/common
	cp $(CURDIR)/data/kdenlive.menu $(CURDIR)/debian/
	dh_install

override_dh_strip:
	dh_strip --dbg-package=kdenlive-dbg

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
opts=dversionmangle=s/\+git\d+// \
	ftp://ftp.kde.org/pub/kde/stable/kdenlive/([\d.]+)/src/kdenlive-([\d.]+)\.tar\.bz2
